
Pre-Development - Bug #19630

FE - React - Datatable sorting column should not return value when no sorting

31 January 2024 02:37 PM - chok yee fan

Status: Closed Start date: 31 January 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

issue

-----

any module -> click search -> click on table title -> datatable return sortValue e.g. [desc:false, id:"orgTypeName"] -> click title again

-> datatable return sortValue e.g. [desc:true, id:"orgTypeName"] -> click title again -> datatable return sortValue e.g. [desc:false,

id:"orgTypeName"].

expected

-----

any module -> click search -> click on table title -> datatable return sortValue e.g. [desc:false, id:"orgTypeName"] -> click title again

-> datatable return sortValue e.g. [desc:true, id:"orgTypeName"] -> click title again -> datatable return sortValue null/undefined.

the main objective do not pass columnSortingBean to web service when no sorting.

History

#1 - 31 January 2024 06:57 PM - Amirul Umar Pandai

- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

Remove columnSortingBean property on no sorting

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/91c33e25a7267470ff251105d5f00b26a627ba83

#2 - 02 February 2024 11:52 AM - Hazimi Muhammad

- File WhatsApp Image 2024-02-02 at 11.47.58 AM.jpeg added

- Status changed from Resolved to In Progress

- Assignee changed from Hazimi Muhammad to Amirul Umar Pandai

Scenario :

Click mleb function > click search -> click on table title MLEB System -> Not working

Click mleb function > click search -> click on table title Function Name -> Got the error as the screenshot

Issue :

Got error when to add new data

Expected :

should both data table working
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/91c33e25a7267470ff251105d5f00b26a627ba83


#3 - 02 February 2024 11:53 AM - Hazimi Muhammad

Issue :

Click mleb function > click search -> click on table title MLEB System -> Not working

Click mleb function > click search -> click on table title Function Name -> Got the error as the screenshot

Expected :

should both data table working

#4 - 02 February 2024 03:05 PM - Amirul Umar Pandai

- Status changed from In Progress to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

MLEB System Not working - accessorKey was not provided

Function Name error - accessorFn was used instead of accessorKey

Fix error in MLEB Function search page + remove React.useMemo from table pages

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/5e19cc023ded5497abb1164f48cdcbc79b381461

#5 - 02 February 2024 03:17 PM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan

Check for MLEB Function search MLEB system and Function Name

Now working perfectly

#6 - 05 February 2024 03:26 PM - chok yee fan

- Status changed from Resolved to Closed

tested few modules and working fine
